| Home · API Reference · Modules

Namespaces | Classes | Enumerations | Functions
Maliit Namespace Reference
Common

## Namespaces

namespace | Plugins
namespace | InputMethodQuery
namespace | SettingEntryAttributes

## Classes

class | AbstractPlatform
class | StandaloneInputMethod
class | StandaloneInputMethodHost
class | InputMethodQuickPrivate
class | InputMethodQuick
class | InputMethodQuickPluginPrivate
class | InputMethodQuickPlugin
class | KeyOverrideQuick
class | UnknownPlatform
class | WaylandPlatformPrivate
class | WaylandPlatform
struct | WindowData
class | WindowGroup
class | XCBPlatform
struct | PreeditTextFormat

## Enumerations

enum | Position
enum | TextContentType
enum | CopyPasteState
enum | SwitchDirection
enum | PreeditFace
enum | HandlerState
enum | EventRequestType
enum | SettingEntryType

## Functions

std::unique_ptr< AbstractPlatform > | createPlatform ()
std::unique_ptr< MInputContextConnection > | createConnection ()

## Enumeration Type Documentation

## ◆ CopyPasteState

enum Maliit::CopyPasteState

State of Copy/Paste button.

Enumerator
InputMethodNoCopyPaste | Copy/Paste button is hidden.
InputMethodCopy | Copy button is accessible.
InputMethodPaste | Paste button is accessible.

## ◆ EventRequestType

enum Maliit::EventRequestType

Key event request type for MInputContext::keyEvent().

Enumerator
EventRequestBoth | Both a Qt::KeyEvent and a signal.
EventRequestSignalOnly | Only a signal.
EventRequestEventOnly | Only a Qt::KeyEvent.

## ◆ HandlerState

enum Maliit::HandlerState

Enumerator
OnScreen |
Hardware |
Accessory |

## ◆ Position

enum Maliit::Position

Position of the window on the screen.

Enumerator
PositionOverlay |
PositionCenterBottom |
PositionLeftBottom |
PositionRightBottom |

## ◆ PreeditFace

enum Maliit::PreeditFace

Enumerator
PreeditDefault |
PreeditNoCandidates |
PreeditKeyPress | Used for displaying the hwkbd key just pressed.
PreeditUnconvertible | Inactive preedit region, not clickable.
PreeditActive | Preedit region with active suggestions.

## ◆ SettingEntryType

enum Maliit::SettingEntryType

Enumerator
StringType |
IntType |
BoolType |
StringListType |
IntListType |

## ◆ SwitchDirection

enum Maliit::SwitchDirection

Direction of plugin switching.

Enumerator
SwitchUndefined | Special value for uninitialized variables.
SwitchForward | Activate next plugin.
SwitchBackward | Activate previous plugin.

## ◆ TextContentType

enum Maliit::TextContentType

Content type for text entries.

Content type of the text in the text edit widget, which can be used by input method plugins to offer more specific input methods, such as a numeric keypad for a number content type. Plugins may also adjust their word prediction and error correction accordingly.

Enumerator
FreeTextContentType | all characters allowed
NumberContentType | only integer numbers allowed
PhoneNumberContentType | allows numbers and certain other characters used in phone numbers
EmailContentType | allows only characters permitted in email address
UrlContentType | allows only character permitted in URL address
CustomContentType | allows content with user defined format

## Function Documentation

## ◆ createConnection()

std::unique_ptr< MInputContextConnection > Maliit::createConnection | ( |  | ) |

## ◆ createPlatform()

std::unique_ptr< AbstractPlatform > Maliit::createPlatform | ( |  | ) |

Copyright © 2011 Nokia Corporation |  | Maliit